Grants, vesting & distributions

Batch Validate Wallets

Validates distribution wallets for up to 500 recipients and returns per-recipient results with a summary.

POSThttps://api.toku.com/tga/batch-validate-wallets

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/batch-validate-wallets' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgIDs": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'
200 response
{
  "results": [
    {
      "roleInOrgID": "string",
      "validation": {
        "wallets": [
          {
            "walletID": "string",
            "walletAddress": "string",
            "percent": "string"
          }
        ],
        "valid": true,
        "walletID": "string",
        "walletAddress": "string",
        "walletStatus": "string",
        "reason": "string"
      }
    }
  ],
  "summary": {
    "total": 0,
    "valid": 0,
    "invalid": 0
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDsstring<uuid>[]required

Allowed: 1 to 500 items

Response

200Successful response
resultsobject[]required
Show child attributes
roleInOrgIDstringrequired
validationobjectrequired
Show child attributes
walletsobject[]
Show child attributes
walletIDstringrequired
walletAddressstringrequired
percentstringrequired
validbooleanrequired
walletIDstring
walletAddressstring
walletStatusstring
reasonstring
summaryobjectrequired
Show child attributes
totalnumberrequired
validnumberrequired
invalidnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits